Package com.avaya.clientservices.media.gui

## Enum PipPlane.Corner

- java.lang.Object
- - java.lang.Enum<PipPlane.Corner>
  - - com.avaya.clientservices.media.gui.PipPlane.Corner

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<PipPlane.Corner>`
  Enclosing class:
    PipPlane

      public static enum PipPlane.Corner
      extends java.lang.Enum<PipPlane.Corner>

  Enum of the four corners of which the picture-in-picture can be located.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `NE` | North-East
    `NW` | North-West
    `SE` | South-East
    `SW` | South-West

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PipPlane.Corner` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static PipPlane.Corner[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NW

          public static final PipPlane.Corner NW

      North-West

    - #### NE

          public static final PipPlane.Corner NE

      North-East

    - #### SE

          public static final PipPlane.Corner SE

      South-East

    - #### SW

          public static final PipPlane.Corner SW

      South-West

  - ### Method Detail

    - #### values

          public static PipPlane.Corner[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PipPlane.Corner c : PipPlane.Corner.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PipPlane.Corner valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null